Subject: bug#29737: 27.0.50; pixel-scroll-mode is laggy

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2017 21:33:45 +0200

Please always CC the bug address.

> From: Valentin Ignatyev <[email-masked]>
> Date: Sun, 17 Dec 2017 04:52:51 +1000
> 
> Hi again Eli! Thanks for the fast response! 
> It happens in all major modes I've tried it (org-mode, python-mode, and web-mode).
> It still happens in the fundamental mode as well (tried to scroll emacs-news in fundamental mode). Setting
> mouse-wheel-progressive-speed to nil seems to have no effect or very little effect that I can't notice.
> Scrolling with a Ctrl key is much smoother yet not lagless (it also loads CPU in about 50% or so). And it's
> looks like line-wise, not pixel-wise ;)
> 
> Just to mention, I've tried your suggestions without any additional elisp (e.g with -Q flag).

CC'ing Tak, who wrote this mode.  Tak, would you please look into
this?